Type to search.

Get a links library item by ID

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Returns the complete state of a links library item by ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 250 required

The unique ID of the links library item, as returned by the create or search endpoints.

Responses

success

application/json
data object required
description string
layout enum

Whether to display the links in a horizontal or vertical layout.

Values: horizontal vertical

The list of links to display.

One of:
tags string[] · max items: 1000 · default: []

Tag IDs associated with this library item.

title string required
id string · max length: 250 required

The unique ID of the links library item, as returned by the create or search endpoints.

meta object required
created_at string

Timestamp when the object was created (ISO 8601).

created_by string

User profile ID of the user who created the object.

managed boolean

When true, the object is managed by Kibana and cannot be edited by users.

owner string

Identifier of the plugin or team that owns this object.

updated_at string

Timestamp when the object was last updated (ISO 8601).

updated_by string

User profile ID of the user who last updated the object.

version string

Internal version identifier for optimistic concurrency control.

403

forbidden

404

A links library item with the given ID was not found.